Bug 906685 - [Installation-RHEL-6.4]Can't open shared object file libruby.so.1.9 on node.
[Installation-RHEL-6.4]Can't open shared object file libruby.so.1.9 on node.
Status: CLOSED NEXTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Kubernetes (Show other bugs)
1.1.1
Unspecified Unspecified
medium Severity medium
: ---
: 1.1.1
Assigned To: Brenton Leanhardt
libra bugs
: Regression, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-01 03:45 EST by xjia
Modified: 2015-07-19 20:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-18 09:17:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description xjia 2013-02-01 03:45:37 EST
Description of problem:
After finish installing node, start httpd service on node, Check the log "/var/log/httpd/error_log". It will prompt "/opt/rh/ruby193/root/usr/bin/ruby: error while loading shared libraries: libruby.so.1.9: cannot open shared object file: No such file or directory"

Version-Release number of selected component (if applicable):
http://download.englab.nay.redhat.com/pub/rhel/rel-eng/RHEL6.4-20130130.0/6.4/Server/x86_64/
http://buildvm-devops.usersys.redhat.com/puddle/build/OpenShiftEnterprise/1.1.z/2013-01-30.2/

How reproducible:
always

Steps to Reproduce:
1. Finish installing node
2. Check the log file "/var/log/httpd/error_log"

Actual restuls:
/opt/rh/ruby193/root/usr/bin/ruby: error while loading shared libraries: libruby.so.1.9: cannot open shared object file: No such file or directory

Expected results:
No such error

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=874511#c3
in /etc/httpd/conf.d/ruby193-passenger.conf:

Broken:
PassengerRuby /opt/rh/ruby193/root/usr/bin/ruby

Works:
PassengerRuby /usr/bin/ruby193-ruby
Comment 4 Johnny Liu 2013-02-03 09:16:25 EST
Verified this bug with 1.1.z/2013-01-31.1, and PASS.
Comment 5 Luke Meyer 2013-02-18 09:17:29 EST
Closing as I don't believe this bug shipped.

Note You need to log in before you can comment on or make changes to this bug.